Subject: [KEYPROV] Draft of IANA Registry section for crypto identifiers

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Tue, 15 Apr 2008 14:26:55 -0700

A first draft of the proposed IANA section for dealling with crypto algorithm identifiers is attached. Note that it is formatted so that it can either be cut and pasted into the PSKC document or submitted as a separate entity.
 
I did not get the initial algorithm entries complete but wanted to get this out today.
 
The main change from my previous attempt is that instead of working from the URN registry allocation scheme I followed the lead of the XML Registry. This seems to me to have precisely the right approach, people can come to the registry with their own desired URI. This can be a URL or URN. But if they want to leave assignment to IANA it is going to be a URN.

I have not specified any file repository for the algorithms. This may puzzle folk who think that it would be good to have some machine readable semantic definitions attached to these assignments. Or test vectors at the very least.
 
This is because I have been talking to people about what it would really take to do this well and on a longer timescale than is possible with the FTP or HTTP site approach. More on this when I can.
 
Clearly we have to consider how to align this with Don's work. Ideally I would like to get the registry established and then fill it with the code points that Don has in his draft.
_______________________________________________
KEYPROV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/keyprov